Combination View Flat View Tree View
Threads [ Previous | Next ]
toggle
Marc Herber
supported versions of database and app server
December 9, 2012 11:54 PM
Answer

Marc Herber

Rank: New Member

Posts: 13

Join Date: November 21, 2012

Recent Posts

Hi all,

we are about to setup Liferay within our infrastructure. I already saw some information that both oracle from a database point of view and Oracle Weblogic from an app server point of view are supported.

Nevertheless I'm interested in the current versions Liferay is able to work with. Currently we are running on Oracle 10.2 (but about to migrato to 11g) and WebLogic 10 MP2 (but about to migrate to 11g too). Could you tell me whether both the existing versions and the new versions are supported, respectively Liferay is running on this setup.

If so could you tell me the recommended hardware requirements.

Thanks in advance.
Marc Herber
RE: supported versions of database and app server
December 26, 2012 11:43 PM
Answer

Marc Herber

Rank: New Member

Posts: 13

Join Date: November 21, 2012

Recent Posts

- push -

Is there anybody who can answer this question?
Thanks in advance.
Juan Gonzalez
RE: supported versions of database and app server
December 27, 2012 1:06 AM
Answer

Juan Gonzalez

LIFERAY STAFF

Rank: Liferay Legend

Posts: 1751

Join Date: October 28, 2008

Recent Posts

About Oracle DB, guess won't be a problem.

And Weblogic, as you can see here (latest stable version):

https://github.com/liferay/liferay-portal/blob/6.1.x/app.server.properties

it should work too in 10.3.6 and 12.1.1
Marc Herber
RE: supported versions of database and app server
December 28, 2012 1:39 AM
Answer

Marc Herber

Rank: New Member

Posts: 13

Join Date: November 21, 2012

Recent Posts

Thanks for your feedback.
Given that Liferay support AS 11gR1 (10.3.6) I would expect that they can handle 11g (10.3.0) as well (if we decide to run on a minor version), don't you think?

Are there any limitations to OS? Does Liferay support both Windows and UNIX systems? Do I have to take care about a special UNIX environment (Redhat, Linux, ...)

Apart from that does anybody has any experience with regard to the hardware requirements? How many RAM is recommended?
Juan Gonzalez
RE: supported versions of database and app server
December 28, 2012 5:00 AM
Answer

Juan Gonzalez

LIFERAY STAFF

Rank: Liferay Legend

Posts: 1751

Join Date: October 28, 2008

Recent Posts

Marc,

No problem. this is J2EE. As long as your app server supports the OS, everything is fine (even many of the secondary features such as ImageMagick, Xuggler etc supports many operating systems).

About hardware, it depends on how many concurrent users, performance, etc.

Here you have a good document about this:

http://www.liferay.com/documents/14/f6e480d6-a346-45cd-b4d5-5a0a57947bde?elq=

You can read more whitepapers here for more info:

http://www.liferay.com/documentation/additional-resources/whitepapers
Hitoshi Ozawa
RE: supported versions of database and app server
December 29, 2012 2:14 AM
Answer

Hitoshi Ozawa

Rank: Liferay Legend

Posts: 7990

Join Date: March 23, 2010

Recent Posts

Liferay 6 uses Oracle JDK 1.6 so be sure the os version supports it. If you want to use same os for all servers, check the os supported by the version of database too. If you're going to have httpd server up front, be sure the software you're going to use to connect is also supported.

I think you'll also need to know which version of application server/container the version of liferay you're planning to use runs on too.